class Item{
  
  PImage image;
  int xlocation;
  int ylocation;
  int myHeight;
  int myWidth;
  int value;
  
  Item(PImage image, int xlocation, int ylocation, int awidth, int aheight)
  {
    this.image = image;
    this.xlocation = xlocation;
    this.ylocation = ylocation;
    this.myWidth = awidth;
    this.myHeight = aheight;
  }
  
  void draw(){
    image(image, xlocation, ylocation);
  }
  
  //This is where we can check if two items have collided or intersected
   boolean Intersects(Item anitem)
  {
    int itemwidth = anitem.myWidth;
    int itemheight = anitem.myHeight;
    int itemxloc = anitem.xlocation;
    int itemyloc = anitem.ylocation;
    
    if(itemxloc < this.xlocation + this.myWidth && 
    itemxloc + itemwidth > this.xlocation && 
    itemyloc < this.ylocation + this.myHeight && 
    itemheight + itemyloc > this.ylocation)
    {
      return true;
    }
    
    return false;
  }
  
}
